---
title: Geocoder
---

### Geocoder

This section will go over how to use the geocoder utility included with the geocoder field type.

To get started use the geocoder field type to create a new geocoder instance:

    $geocoder = $fieldType->newGeocoder();


#### GeocoderFieldTypeGeocoder::convert()

The `convert` method will convert the provided address into a `geocoded point` object.

###### Returns: `\Anomaly\GeocoderFieldType\GeocoderFieldTypePoint`

###### Arguments

<table class="table table-bordered table-striped">

<thead>

<tr>

<th>Key</th>

<th>Required</th>

<th>Type</th>

<th>Default</th>

<th>Description</th>

</tr>

</thead>

<tbody>

<tr>

<td>

$address

</td>

<td>

true

</td>

<td>

string

</td>

<td>

none

</td>

<td>

The address to geocode. Partial addresses are supported as well.

</td>

</tr>

</tbody>

</table>

###### Example

    $point = $geocoder->convert('Davenport, IA');


#### GeocoderFieldTypeGeocoder::reverse()

The `reverse` method performs a reverse geocode lookup.

###### Arguments

<table class="table table-bordered table-striped">

<thead>

<tr>

<th>Key</th>

<th>Required</th>

<th>Type</th>

<th>Default</th>

<th>Description</th>

</tr>

</thead>

<tbody>

<tr>

<td>

$collection

</td>

<td>

true

</td>

<td>

string

</td>

<td>

none

</td>

<td>

The collection to add the asset to.

</td>

</tr>

</tbody>

</table>
